%global makedir SQLiteStudio3
%undefine _debugsource_packages

Name: sqlitestudio
Version: 3.3.3
Release: K01%{?dist}
Summary:    A SQLite database manager
License:    GPLv3
Group:      System/Configuration/Other
URL:        https://sqlitestudio.pl/
Source:     %{name}-%{version}.tar.gz
#URL        https://codeload.github.com/pawelsalawa/sqlitestudio/tar.gz/refs/tags/%{version}
BuildRequires: sqlite-devel
BuildRequires: readline-devel
BuildRequires: qt5-qtscript-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qttools-static
BuildRequires: sqlcipher-devel

%description
SQLiteStudio is desktop application for browsing and editing SQLite
database files. It is aimed for people, who know what SQLite is, or what
relational databases are in general.

%prep
%setup -q

%build
cd %{makedir}
qmake-qt5 -recursive
make

%install
cd %{makedir}
make install INSTALL_ROOT=%{buildroot}
%ifarch x86_64 aarch64
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64
%endif

install -Dm644 docs/sqlitestudio_logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -d -m 755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=SQLite Studio
Comment=A SQLite database manager
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;Database;
MimeType=application/x-sqlite3;
EOF

%files
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_libdir}/lib*

%changelog
* Thu Nov 10 2022 Karlis Kalviskis <karlo@lu.lv> - 3.3.3-K01
- New version

* Tue Jul 31 2018 Wei-Lun Chao <bluebat@member.fsf.org> - 3.2.1
- Rebuilt for Fedora
